%global fontname crimson-text
%global fontconf 62-%{fontname}.conf

Name:           %{fontname}-fonts
Version:        0
Release:        0.1.20100523%{?dist}
Summary:        A latin font for the production of technical books and papers

Group:          User Interface/X
License:        OFL
URL:            http://aldusleaf.org/
Source0:        http://aldusleaf.org/crimson/web/crimson_text_bold.otf
Source1:        http://aldusleaf.org/crimson/web/crimson_text_italic.otf
Source2:        http://aldusleaf.org/crimson/web/crimson_text_roman.otf
Source3:        %{name}-fontconfig.conf
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildArch:      noarch
BuildRequires:  fontpackages-devel
Requires:       fontpackages-filesystem

%description
A latin font for a quality typeface for the production of books and
papers, particularly technical ones.


%prep
%setup -c -T
cp -p %{SOURCE0} %{SOURCE1} %{SOURCE2} .


%build


%install
rm -fr %{buildroot}

install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p *.otf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE3} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconf} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}


%clean
rm -fr %{buildroot}


%_font_pkg -f %{fontconf} *.otf

%doc


%changelog
* Thu May 27 2010 Parag Nemade <pnemade AT redhat.com> - 0-0.1.20100523
- Initial Fedora release.

